Creates a new DOMEntityReference object

- « DOMEntityReference

- DOMException »

- PHP Manual
- DOMEntityReference
- Creates a new DOMEntityReference object

# DOMEntityReference::__construct

(PHP 5, PHP 7, PHP 8)

DOMEntityReference::__construct — Creates a new DOMEntityReference object

### Description

public DOMEntityReference::__construct(string `$name`)

Creates a new DOMEntityReference object.

### Parameters

`name`

  The name of the entity reference.

### Examples

Example #1 Creating a new DOMEntityReference

    <?php$dom = new DOMDocument('1.0', 'iso-8859-1');$element = $dom->appendChild(new DOMElement('root'));$entity = $element->appendChild(new DOMEntityReference('nbsp'));echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>&nbsp;</root> */?>

### See Also

- DOMDocument::createEntityReference() - Create new entity reference node